package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TReportProduct;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 报表1-1主要产品表 服务类
 * @since 2020-09-16
 * @author stz
 */
public interface TReportProductService extends IService<TReportProduct> {

    //根据报表信息id获取主要产品列表
    List<TReportProduct> getProductsByReportId(Long reportId);

    //查询所有主要产品的名称
    List<String> getProductName(Long reportId);

    //查询近三年主要产品的数据
    List<TReportProduct> getProductsByReportIds( Long id1, Long id2, Long id3);
}
